Get Accuracy Report
curl --request POST \
--url 'https://api.birdeye.com/resources/v1/listing/searchAi/public/aio-details?page-size=100&start-index=0' \
--header 'Content-Type: application/json' \
--data '
{
"businessNumbers": [
177337970010644,
177337970029743
],
"aiModels": [
"CHATGPT",
"GEMINI",
"PERPLEXITY"
],
"startDate": "2025-12-01T00:00:00.000Z",
"endDate": "2025-12-31T00:00:00.000Z"
}
'import requests
url = "https://api.birdeye.com/resources/v1/listing/searchAi/public/aio-details?page-size=100&start-index=0"
payload = {
"businessNumbers": [177337970010644, 177337970029743],
"aiModels": ["CHATGPT", "GEMINI", "PERPLEXITY"],
"startDate": "2025-12-01T00:00:00.000Z",
"endDate": "2025-12-31T00:00:00.000Z"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessNumbers: [177337970010644, 177337970029743],
aiModels: ['CHATGPT', 'GEMINI', 'PERPLEXITY'],
startDate: '2025-12-01T00:00:00.000Z',
endDate: '2025-12-31T00:00:00.000Z'
})
};
fetch('https://api.birdeye.com/resources/v1/listing/searchAi/public/aio-details?page-size=100&start-index=0', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 4,
"hasNext": false,
"data": {
"177337970010644": {
"2025-12-30": {
"CHATGPT": {
"businessName": "ProHEALTH Dental - Astoria",
"fullAddress": "29-14 Ditmars Blvd, Astoria, NY 11105, United States",
"phone": "(718) 524-3677",
"hoursOfOperation": "Monday: Closed\nTuesday: Closed\nWednesday: Closed\nThursday: Closed\nFriday: Closed\nSaturday: Closed\nSunday: Closed",
"website": "phdental.com"
},
"GEMINI": {
"businessName": "ProHEALTH Dental - Astoria",
"fullAddress": "29-14 Ditmars Blvd, Astoria, NY 11105, United States",
"phone": "718-524-3677",
"hoursOfOperation": "Monday: Closed\nTuesday: Closed\nWednesday: Closed\nThursday: Closed\nFriday: Closed\nSaturday: Closed\nSunday: Closed"
},
"PERPLEXITY": {
"businessName": "ProHEALTH Dental - Astoria",
"fullAddress": "29-14 Ditmars Blvd, Astoria, NY 11105, United States",
"phone": "718-524-3677",
"hoursOfOperation": "Monday: Closed\nTuesday: Closed\nWednesday: Closed\nThursday: Closed\nFriday: Closed\nSaturday: Closed\nSunday: Closed",
"website": "https://www.phdental.com/locations/prohealth-dental/astoria-ny/"
}
}
}
}
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Search AI
Get Accuracy Report
Provides an accuracy report for the specified business, highlighting how consistent and reliable the business information is across platforms.
POST
/
v1
/
listing
/
searchAi
/
public
/
aio-details?page-size=100&start-index=0
Get Accuracy Report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. - Long Business Number
Media type of the JSON request body.
Body
application/json
Comma-separated list of business numbers to retrieve the report for.
Comma-separated list of AI models to include in the report. Possible values are [CHATGPT, GEMINI, PERPLEXITY]
Start date for the report range (format: yyyy-MM-dd).
End date for the report range (format: yyyy-MM-dd).
Start date for the report range (format: yyyy-MM-dd).
End date for the report range (format: yyyy-MM-dd).
⌘I